Bug 1270827 - local overrides: don't contact server with overridden name/id
local overrides: don't contact server with overridden name/id
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: SSSD Maintainers
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:18 EDT by Jakub Hrozek
Modified: 2015-11-19 06:41 EST (History)
11 users (show)

See Also:
Fixed In Version: sssd-1.13.0-40.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:41:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2015-10-12 09:18:57 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2833

Integration test revealed a problem when trying to perform initgroups of overriden name.

If you override a name to say alias1 and then try to run initgroups on alias1 it tries to search alias1 with views in LDAP. This yields an empty result. The same problem is probably when trying to refresh expired users and groups.

We need to ensure that if local overrides are use we will always search for the original name/id in LDAP instead of an over-ridden one.
Comment 2 Jakub Hrozek 2015-10-12 10:59:49 EDT
During a tmate session, Pavel showed me the simplest steps to reproduce:

0) Connect SSSD with LDAP back end
1) remove caches:
 # rm -f /var/lib/sss/db/cache_* /var/lib/sss/mc/*
2) service sssd start
3) add override without calling id first:
 # sss_override user-add $orig_name -n $alias
4) retrieve overriden name:
 # id $alias

With the unpatched packages, the id wouldn't show any supplemental groups (=initgroups will fail). With the patched packages, all supplemental groups will be shown for the overriden name.
Comment 5 Dan Lavu 2015-10-12 12:08:47 EDT
Yes this is a problem only the primary groups are present in the AD provider as well. 

Redirecting to /bin/systemctl start  sssd.service

[root@test db]# sss_override  user-add -n dlavu123@sssdad2012r2.com dlavu@sssdad2012r2.com 
SSSD needs to be restarted for the changes to take effect.

[root@test db]# service sssd restart
Redirecting to /bin/systemctl restart  sssd.service

[root@test db]# id dlavu123@sssdad2012r2.com
uid=768001104(dlavu123@sssdad2012r2.com) gid=768000513(domain users@sssdad2012r2.com) groups=768000513(domain users@sssdad2012r2.com)
Comment 6 Jakub Hrozek 2015-10-14 07:35:59 EDT
Fixed upstream:
    master:
        2f793681b4debbe015815f908dc12c0463711609
        51a0e3a2ef9186d19cbc28d87fe6fc5d5998a0a7
        fb8985a3a3a267940760967beaf8af3979ce91ea 
    sssd-1-13:
        2a5c268f66844a65447a814fd48644768238b307
        6e3fa032485e8a107d32c6f4978b4dead6118114
        329ea3541799d2abb5f0cdb73c24153b9892148b
Comment 8 Dan Lavu 2015-10-14 11:04:30 EDT
Verified against sssd-1.13.0-40.el7.x86_64

[root@test x86_64]# getent passwd dlavu123@sssdad2012r2.com
dlavu123@sssdad2012r2.com:*:768001104:768000513:Dan Lavu:/home/dlavu123@sssdad2012r2.com:/bin/bash

[root@test x86_64]# id  dlavu123@sssdad2012r2.com
uid=768001104(dlavu123@sssdad2012r2.com) gid=768000513(domain users@sssdad2012r2.com) groups=768000513(domain users@sssdad2012r2.com),768000572(denied rodc password replication group@sssdad2012r2.com),768000518(schema admins@sssdad2012r2.com),768000519(enterprise admins@sssdad2012r2.com),768000520(group policy creator owners@sssdad2012r2.com),768000512(domain admins@sssdad2012r2.com)

All groups are listed.
Comment 9 errata-xmlrpc 2015-11-19 06:41:06 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html

Note You need to log in before you can comment on or make changes to this bug.